import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseDemandPlanListAddPage (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchPurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseDemandPlanListAdds (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportPurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function importPurchaseDemandPlanListAdd (parameter) {
  return axios({
    url: '/purchase/purchase-demand-plan-list-adds/import',
    method: 'POST',
    headers: { 'Content-Type': 'application/x-www-form-urlencoded' },
    data: parameter
  })
}
