import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchaseOrderDispatchOrderPage (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPurchaseOrderDispatchOrder (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseOrderDispatchOrder (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchaseOrderDispatchOrderInfo (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders/' + parameter.id + '/info',
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchPurchaseOrderDispatchOrder (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPurchaseOrderDispatchOrder (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseOrderDispatchOrders (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchaseOrderDispatchOrder (parameter) {
  return axios({
    url: '/purchase/purchase-order-dispatch-orders/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}
