import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getPurchasePaymentOrderPage (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders/page?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addPurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders',
        method: 'POST',
        headers: {
            'Accept': 'application/json',
            'Content-Type': 'application/json;charset=UTF-8'
        },
        data: parameter
    })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updatePurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders/' + parameter.id,
        method: 'PUT',
        data: parameter
    })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchPurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders/' + parameter.id,
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryPurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        }
    })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchasePaymentOrders (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders',
        method: 'DELETE',
        data: parameter
    })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deletePurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders/' + parameter.id,
        method: 'DELETE',
        data: parameter
    })
}


/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportPurchasePaymentOrder (parameter) {
    return axios({
        url: '/purchase/purchase-payment-orders/export?' + stringify(parameter),
        method: 'get',
        headers: {
            'Content-Type': 'application/json;charset=UTF-8'
        },
        responseType: 'blob'
    })
}
