import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbAllocateTaskPage (parameter) {
  return axios({
    url: '/sb/allocate-tasks/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbAllocateTaskAuditPage (parameter) {
  return axios({
    url: '/sb/allocate-tasks/audit/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbAllocateTaskApply (parameter) {
  return axios({
    url: '/sb/allocate-tasks/' + parameter.id + '/apply',
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function querySbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbAllocateTasks (parameter) {
  return axios({
    url: '/sb/allocate-tasks',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function auditSbAllocateTask (parameter) {
  return axios({
    url: '/sb/allocate-tasks/audit/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}
