import { axios } from '@/utils/request'
import { stringify } from 'qs'
/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function queryNumModelbom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/num?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbModelBomPage (parameter) {
  return axios({
    url: '/sb/model-spare-boms/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectSpareInfoListByModelId (parameter) {
  return axios({
    url: '/sb/model-spare-boms/model/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectSpareInfoListBySbId (parameter) {
  return axios({
    url: '/sb/model-spare-boms/sb/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectSpareInfoPageListBySbId (parameter) {
  return axios({
    url: '/sb/model-spare-boms/sbpage/' + parameter.sbId,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function selectSbModelListBySpareId (parameter) {
  return axios({
    url: '/sb/model-spare-boms/spare/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}
/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * add batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbModelBomBatch (parameter) {
  return axios({
    url: '/sb/model-spare-boms/batch',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * add batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function importSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/import',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function copy (parameter) {
  return axios({
    url: '/sb/model-spare-boms/copy',
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function querySbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbModelBoms (parameter) {
  return axios({
    url: '/sb/model-spare-boms',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportSbModelBom (parameter) {
  return axios({
    url: '/sb/model-spare-boms/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}
