import { axios } from '@/utils/request'
import { stringify } from 'qs'

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbOilPage (parameter) {
  return axios({
    url: '/sb/oils/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbOilUserPage (parameter) {
  return axios({
    url: '/sb/oils/user/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbOilTaskPage (parameter) {
  return axios({
    url: '/sb/oils/task/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * page func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function getSbOilAuditPage (parameter) {
  return axios({
    url: '/sb/oils/audit/page?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbOil (parameter) {
  return axios({
    url: '/sb/oils',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateSbOil (parameter) {
  return axios({
    url: '/sb/oils/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateOilSbOil (parameter) {
  return axios({
    url: '/sb/oils/oil/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}


/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateOilSbOilList (parameter) {
  return axios({
    url: '/sb/oils/oil/list',
    method: 'PUT',
    data: parameter
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbOil (parameter) {
  return axios({
    url: '/sb/oils/' + parameter.id,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * query list func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function querySbOil (parameter) {
  return axios({
    url: '/sb/oils?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * delete batch func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbOils (parameter) {
  return axios({
    url: '/sb/oils',
    method: 'DELETE',
    data: parameter
  })
}

/**
 * delete single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function deleteSbOil (parameter) {
  return axios({
    url: '/sb/oils/' + parameter.id,
    method: 'DELETE',
    data: parameter
  })
}

/**
 * export file
 * parameter: { }
 * @param parameter :
 * @returns {*}
 */
export function exportSbOil (parameter) {
  return axios({
    url: '/sb/oils/export?' + stringify(parameter),
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    },
    responseType: 'blob'
  })
}

/**
 * fetch single func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function fetchSbOilBySbId (parameter) {
  return axios({
    url: '/sb/oils/sb/' + parameter.sbId,
    method: 'get',
    headers: {
      'Content-Type': 'application/json;charset=UTF-8'
    }
  })
}

/**
 * add func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function addSbOilList (parameter) {
  return axios({
    url: '/sb/oils/list',
    method: 'POST',
    headers: {
      'Accept': 'application/json',
      'Content-Type': 'application/json;charset=UTF-8'
    },
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateAuditSbOil (parameter) {
  return axios({
    url: '/sb/oils/audit/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}


/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateAuditSbOilList (parameter) {
  return axios({
    url: '/sb/oils/audit/list',
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateConfirmSbOil (parameter) {
  return axios({
    url: '/sb/oils/confirm/' + parameter.id,
    method: 'PUT',
    data: parameter
  })
}

/**
 * update func
 * parameter: { }
 * @param parameter
 * @returns {*}
 */
export function updateConfirmSbOilList (parameter) {
  return axios({
    url: '/sb/oils/confirm/list',
    method: 'PUT',
    data: parameter
  })
}
